Subject: bug#27357: 26.0.50; Emacs starts fullscreen in Ubuntu 17.04

From: martin rudalics <[email-masked]>
Date: Wed, 14 Jun 2017 16:09:47 +0200

> In 16.10, things worked as normal, but in Ubuntu 17.04 Emacs starts in
 > fullscreen mode.  That is, emacs -Q says:
 >
 > (frame-parameter nil 'fullscreen)
 > maximized

Does this match the state of the window manager maximized button?  What
happens when you click it?

 > If I say "emacs -geometry 20x20 -Q", then Emacs isn't fullscreen, but
 > instead starts with a frame that is approximately 84 characters by 46
 > characters.
 >
 > This is on a HiDPI screen:
 >
 > larsi@mouse:~$ dconf read /com/ubuntu/user-interface/scale-factor
 > {'eDP1': 11, 'eDP-1': 12}

Can you try without scaling?

 > Emacs 25 appears to behave the same as git Emacs, so whatever's going on
 > isn't a new bug, I think.
 >
 > I tried grepping through the Emacs source code to find out what sets the
 > `maximized' value, and it's perhaps the get_current_wm_state thing?  I'm
 > not sure.

It should be.  Can you get a backtrace from there?

 > I also note that Emacs has a gaggle of options to switch fullscreen mode
 > on, but apparently none to switch it off?

(set-frame-parameter nil 'fullscreen nil)

or ‘toggle-frame-maximized’.

martin